Bullet Collision Detection & Physics Library: btCollisionObjectWrapper Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
btCollisionObjectWrapper Struct Reference

`#include <btCollisionObjectWrapper.h>`

Collaboration diagram for btCollisionObjectWrapper:
[legend]

## Public Member Functions
| btCollisionObjectWrapper (const btCollisionObjectWrapper *parent, const btCollisionShape *shape, const btCollisionObject *collisionObject, const btTransform &worldTransform, int partId, int index)
| btCollisionObjectWrapper (const btCollisionObjectWrapper *parent, const btCollisionShape *shape, const btCollisionObject *collisionObject, const btTransform &worldTransform, const btTransform &preTransform, int partId, int index)
const btTransform & | getWorldTransform () const
const btCollisionObject * | getCollisionObject () const
const btCollisionShape * | getCollisionShape () const

## Public Attributes
const btCollisionObjectWrapper * | m_parent
const btCollisionShape * | m_shape
const btCollisionObject * | m_collisionObject
const btTransform & | m_worldTransform
const btTransform * | m_preTransform
int | m_partId
int | m_index

## Private Member Functions
| btCollisionObjectWrapper (const btCollisionObjectWrapper &)
btCollisionObjectWrapper * | operator= (const btCollisionObjectWrapper &)

## Detailed Description

Definition at line 17 of file btCollisionObjectWrapper.h.

## Constructor & Destructor Documentation

## ◆ btCollisionObjectWrapper() [1/3]

btCollisionObjectWrapper::btCollisionObjectWrapper | ( | const btCollisionObjectWrapper & |  | ) |
| private

## ◆ btCollisionObjectWrapper() [2/3]

btCollisionObjectWrapper::btCollisionObjectWrapper | ( | const btCollisionObjectWrapper * | parent,
|  | const btCollisionShape * | shape,
|  | const btCollisionObject * | collisionObject,
|  | const btTransform & | worldTransform,
|  | int | partId,
|  | int | index
| ) |  |
| inline

Definition at line 34 of file btCollisionObjectWrapper.h.

## ◆ btCollisionObjectWrapper() [3/3]

btCollisionObjectWrapper::btCollisionObjectWrapper | ( | const btCollisionObjectWrapper * | parent,
|  | const btCollisionShape * | shape,
|  | const btCollisionObject * | collisionObject,
|  | const btTransform & | worldTransform,
|  | const btTransform & | preTransform,
|  | int | partId,
|  | int | index
| ) |  |
| inline

Definition at line 39 of file btCollisionObjectWrapper.h.

## Member Function Documentation

## ◆ getCollisionObject()

const btCollisionObject * btCollisionObjectWrapper::getCollisionObject | ( |  | ) | const
| inline

Definition at line 45 of file btCollisionObjectWrapper.h.

## ◆ getCollisionShape()

const btCollisionShape * btCollisionObjectWrapper::getCollisionShape | ( |  | ) | const
| inline

Definition at line 46 of file btCollisionObjectWrapper.h.

## ◆ getWorldTransform()

const btTransform & btCollisionObjectWrapper::getWorldTransform | ( |  | ) | const
| inline

Definition at line 44 of file btCollisionObjectWrapper.h.

## ◆ operator=()

btCollisionObjectWrapper * btCollisionObjectWrapper::operator= | ( | const btCollisionObjectWrapper & |  | ) |
| private

## Member Data Documentation

## ◆ m_collisionObject

const btCollisionObject* btCollisionObjectWrapper::m_collisionObject

Definition at line 28 of file btCollisionObjectWrapper.h.

## ◆ m_index

int btCollisionObjectWrapper::m_index

Definition at line 32 of file btCollisionObjectWrapper.h.

## ◆ m_parent

const btCollisionObjectWrapper* btCollisionObjectWrapper::m_parent

Definition at line 26 of file btCollisionObjectWrapper.h.

## ◆ m_partId

int btCollisionObjectWrapper::m_partId

Definition at line 31 of file btCollisionObjectWrapper.h.

## ◆ m_preTransform

const btTransform* btCollisionObjectWrapper::m_preTransform

Definition at line 30 of file btCollisionObjectWrapper.h.

## ◆ m_shape

const btCollisionShape* btCollisionObjectWrapper::m_shape

Definition at line 27 of file btCollisionObjectWrapper.h.

## ◆ m_worldTransform

const btTransform& btCollisionObjectWrapper::m_worldTransform

Definition at line 29 of file btCollisionObjectWrapper.h.

The documentation for this struct was generated from the following file:

- btCollisionObjectWrapper.h